Next Previous Contents

## 3.124 raise

> Function

>   Send a signal to the executing program.

> Header

>   `signal.h`

> Declaration

>   `int __fastcall__ raise (int sig);`

> Description

>   `raise` sends the given signal to the program. If the program has installed a signal handler for the signal, this signal handler will be executed. If no handler has been installed, the default action for the raised signal will be taken. The function returns zero on success, nonzero otherwise.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   ISO 9899

> See also

>   abort, signal

> Example

>   None.

Next Previous Contents